<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>编辑内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item">
                    <label class="layui-form-label">机构名称</label>
                    <div class="layui-input-block">
                        <input type="text" id="institutionName" name="institutionName" class="layui-input" value=""
                               placeholder="请输入机构名称"  maxlength="100" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">机构类型</label>
                    <div class="layui-input-block layui-form" id="institutionTypeIdSelectTemplateBox" lay-filter="institutionTypeIdSelectTemplateBox"></div>
                    <script id="institutionTypeIdSelectTemplate" type="text/html">
                        <select id="institutionTypeId" name="institutionTypeId" lay-verify="required">
                            <option value="">请选择机构类型</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.dataId}}">{{item.dataName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">机构等级</label>
                    <div class="layui-input-block layui-form" id="institutionLevelIdSelectTemplateBox" lay-filter="institutionLevelIdSelectTemplateBox"></div>
                    <script id="institutionLevelIdSelectTemplate" type="text/html">
                        <select id="institutionLevelId" name="institutionLevelId" lay-verify="required">
                            <option value="">请选择机构等级</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.dataId}}">{{item.dataName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">所在地</label>
                        <input type="hidden" id="locationId" name="locationId" class="layui-input" value="" placeholder="请输入一级区域ID"  maxlength="36">
                        <input type="hidden" id="locationCode" name="locationCode" class="layui-input" value="" placeholder="请输入一级区域名称"  maxlength="255">
                        <div class="layui-input-block">
                            <input type="text" id="location" name="location" class="layui-input" value="" placeholder="点击选择所在地"  maxlength="11" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">所属网格</label>
                        <div class="layui-input-block layui-form" id="gridSelectTemplateBox" lay-filter="gridSelectTemplateBox"></div>
                        <script id="gridSelectTemplate" type="text/html">
                            <select id="grid" name="grid" lay-filter="grid" lay-verify="required">
                                <option value="">请选择网格</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.gridId}}">{{item.gridName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交新增</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var institutionId = top.restAjax.params(window.location.href).institutionId;

        var wangEditor = window.wangEditor;
        var wangEditorObj = {};
        var viewerObj = {};

        // 选择所在地
        $(document).on('click', '#location', function() {
            top.dialog.open({
                title: '选择地区',
                url: top.restAjax.path('route/mongo/area/get-select?areaName={areaName}', [encodeURI($('#location').val())]),
                width: '800px',
                height: '225px',
                onClose: function () {
                    var selectedAreaArray = top.dialog.dialogData.selectedAreaArray;
                    var areaCode = '';
                    var areaName = '';
                    if (selectedAreaArray.length > 0) {
                        areaCode = selectedAreaArray[selectedAreaArray.length - 1].areaCode;
                        for (var i = 0, item; item = selectedAreaArray[i++];) {
                            if (areaName) {
                                areaName += ',';
                            }
                            areaName += item.areaName;
                        }
                        $('#locationCode').val(areaCode);
                        $('#location').val(areaName);
                    }
                    initGridSelect(areaCode);
                }
            })
        });

        // 初始化地区网格
        function initGridSelect(areaCode, selectValue) {
            if(!areaCode) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render([], function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');
                return;
            }
            top.restAjax.get(top.restAjax.path('api/grid/grid-list/{areaCode}', [areaCode]), {}, null, function(code, data, args) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');

                var selectObj = {};
                selectObj['grid'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        function refreshDownloadTemplet(fileName, file) {
            var dataRander = {};
            dataRander[fileName] = file;

            laytpl(document.getElementById(fileName +'FileDownload').innerHTML).render(dataRander, function(html) {
                document.getElementById(fileName +'FileBox').innerHTML = html;
            });
        }

        // 初始化文件列表
        function initFileList(fileName, ids, callback) {
            var dataForm = {};
            dataForm[fileName] = ids;
            form.val('dataForm', dataForm);

            if(!ids) {
                refreshDownloadTemplet(fileName, []);
                if(callback) {
                    callback(fileName, []);
                }
                return;
            }

            top.restAjax.get(top.restAjax.path('api/file/list', []), {
                ids: ids
            }, null, function(code, data) {
                refreshDownloadTemplet(fileName, data);
                if(callback) {
                    callback(fileName, data);
                }
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化视频
        function initVideo(fileName, data) {
            for(var i = 0, item; item = data[i++];) {
                var player = new ckplayer({
                    container: '#'+ fileName + i,
                    variable: 'player',
                    flashplayer: false,
                    video: {
                        file: 'route/file/download/true/'+ item.fileId,
                        type: 'video/mp4'
                    }
                });
            }
        }

        // 初始化机构类型ID下拉选择
        function initinstitutionTypeIdSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['695fa6a4-4690-492a-baac-c93757f4b913']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('institutionTypeIdSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('institutionTypeIdSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'institutionTypeIdSelectTemplateBox');

                var selectObj = {};
                selectObj['institutionTypeId'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化机构等级ID下拉选择
        function initinstitutionLevelIdSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['2e01698d-653b-434e-8cd6-9a06d9c920d1']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('institutionLevelIdSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('institutionLevelIdSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'institutionLevelIdSelectTemplateBox');

                var selectObj = {};
                selectObj['institutionLevelId'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }


        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/institution/get/{institutionId}', [institutionId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i] +'';
                }
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');
                initinstitutionTypeIdSelect(data['institutionTypeId']);
                initinstitutionLevelIdSelect(data['institutionLevelId']);
                initGridSelect(data['locationCode'], data['grid']);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();
        
        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            formData.field.institutionTypeText = $("#institutionTypeId option:checked").text();
            formData.field.institutionLevelText = $("#institutionLevelId option:checked").text();
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.put(top.restAjax.path('api/institution/update/{institutionId}', [institutionId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.updateSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>